Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.j3d
Class WakeupAndOfOrs

    java.lang.Object
      javax.media.j3d.WakeupCondition
          javax.media.j3d.WakeupAndOfOrs

    public final class WakeupAndOfOrs

extends WakeupCondition

Class specifying any number of OR wakeup conditions ANDed together. This WakeupCondition object specifies that Java 3D should awaken this Behavior when all of the WakeupCondition's constituent WakeupOr conditions become valid.

Note that a unique WakeupCriterion object must be used for each individual element in the set of arrays specified by the array of WakeupOr objects.

Constructor Summary
`WakeupAndOfOrs(WakeupOr[] conditions)` Constructs a new WakeupAndOfOrs criterion.

Method Summary

Methods inherited from class javax.media.j3d.WakeupCondition
`allElements, triggeredElements`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WakeupAndOfOrs

    public WakeupAndOfOrs(WakeupOr[] conditions)

  Constructs a new WakeupAndOfOrs criterion.

  Parameters:
    `conditions` - a vector of individual Wakeup conditions

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.